Skip to main content
GET
Retrieve Simulation Results
Integration Prompt for AI Agents
Retrieves the simulation results for a specific agent simulation run by simulation_run_id. This endpoint returns detailed information about the simulation, including the agent’s performance, evaluations, hallucinations, redundancy, and custom evaluation metrics.

Headers

X-Organization-Id
string
X-API-Key
string
required

API key required to authenticate requests.

Path Parameters

simulation_run_id
string
required

Query Parameters

limit
integer
default:100

How many results to return.

Required range: 1 <= x <= 100
offset
integer
default:0

How many results to skip.

Required range: x >= 0
issue_ids
string<uuid>[] | null

Keep results linked to any of these simulation issue IDs

Response

Successful Response

simulation_run
SimulationRunResultResponse · object
required

Details of the simulation run

simulation_results
SimulationResultResponse · object[] | null

List of results from the simulation run

status
string
default:200

Status of the response